#
# spec file for package libqjson
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define soname %{name}0
%define debug_package_requires libqjson0 = %{version}-%{release}
Name:           libqjson
Version:        0.9.0
Release:        1699.2.pm.70
Summary:        QJson is a qt-based library that maps JSON data to QVariant objects
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            http://qjson.sourceforge.net/
Source:         https://github.com/flavio/qjson/archive/%{version}.tar.gz#/qjson-%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  cmake
BuildRequires:  libqt4-devel

%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represent integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs. QJson is a qt-based library that maps
JSON data to QVariant objects. JSON arrays will be mapped to QVariantList
instances, while JSON's objects will be mapped to QVariantMap.

%package -n libqjson0
Summary:        QJson is a qt-based library that maps JSON data to QVariant objects
Group:          Development/Libraries/C and C++

%description -n libqjson0
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represent integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs. QJson is a qt-based library that maps
JSON data to QVariant objects. JSON arrays will be mapped to QVariantList
instances, while JSON's objects will be mapped to QVariantMap.

%package devel
Summary:        Development files for QJson
Group:          Development/Libraries/C and C++
Requires:       %{soname} = %{version}

%description devel
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represent integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs. QJson is a qt-based library that maps
JSON data to QVariant objects. JSON arrays will be mapped to QVariantList
instances, while JSON's objects will be mapped to QVariantMap.

This package contains files for developing applications using QJson.

%prep
%setup -q -n qjson-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%post -n %{soname} -p /sbin/ldconfig
%postun -n %{soname} -p /sbin/ldconfig

%files -n %{soname}
%license COPYING.lib
%doc ChangeLog README*
%{_libdir}/libqjson.so.*

%files devel
%dir %{_libdir}/cmake
%{_includedir}/qjson
%{_libdir}/libqjson.so
%{_libdir}/pkgconfig/QJson.pc
%{_libdir}/cmake/qjson

%changelog
* Tue Jun  2 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.9.0
  * Qt5 support
  * Added indent to arrays
  * Replaced the scanner with a new Flex-based one
  * Bison 2.7 compatibility
- New upstream source
- Spec cleanup
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Added baselibs.conf, needed for libkdepimlibs4-32bit
* Tue Mar 12 2013 schwab@suse.de
- Properly determine LIB_SUFFIX
* Tue Nov 27 2012 cgiboudeaux@gmx.com
- Fix the SLES build (directory not owned by a package).
- Install the license files.
* Tue Nov 27 2012 fcastelli@suse.com
- Update to version 0.8.1
- Ensure API and ABI compatibility with 0.7.1
* Thu Nov 22 2012 fcastelli@suse.com
- Update to version 0.8.0
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Thu Dec  3 2009 flavio@castelli.name
- updated to 0.7.1: fixed installation issued
* Thu Dec  3 2009 flavio@castelli.name
- updated to 0.7.0: it's now possible to serialize QObject instances to JSON and vice-versa
* Sun Oct 11 2009 flavio@castelli.name
- updated to 0.6.3: fixed a bug affecting ulonglong numbers serialization
* Thu Sep 17 2009 dmueller@suse.de
- fix debug package requires (for 11.0 and older)
* Tue Sep 15 2009 flavio@castelli.name
- updated to 0.6.2: fixed a bug affecting ulonglong numbers parsing
* Wed Sep  9 2009 flavio@castelli.name
- updated to 0.6.1: relevant bugs fixed
* Mon Aug 24 2009 flavio@castelli.name
- updated to latest svn version: moved the SerializerRunnable class inside QJson namespace
* Thu Jul 23 2009 flavio@castelli.name
- updated to latest svn version: fixed a bug in cmdline_tester
* Mon Jul 20 2009 prusnak@suse.cz
- updated to 0.6.0 (KDE SVN rev 999750)
- renamed libqjson0-devel to libqjson-devel to follow guidelines
* Tue Apr  7 2009 flavio@castelli.name
- released 0.5.1 - added unicode support
* Fri Apr  3 2009 flavio@castelli.name
- first release
